| cutgextract

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Extract codon usage tables from CUTG database

## Description

Given the name of a directory containing the CUTG database, cutgextract will calculate codon usage tables for individual species (e.g. EHomo_sapiens.cut) and place them in the CODONS subdirectory of the EMBOSS data directory. This is an all-or-nothing extraction; it will create many files and take several minutes. The usage tables are calculated from the sum of codons over all sequences for each organism.

## Algorithm

cutgextract looks in the specified directory and opens all the files with the extension '.codon'. These are all expected to be CUTG data files. It then parses out the codon usage data and writes one file per species into the EMBOSS data/CODONS directory. The names of the files are derived from the species names in the CUTG files. These files names will be long and therefore descriptive.

## Usage

Here is a sample session with cutgextract

    % cutgextract
    Extract codon usage tables from CUTG database
    Codon usage directories [.]: data
    General log output file [outfile.cutgextract]:

Go to the output files for this example

## Command line arguments

    Extract codon usage tables from CUTG database
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-directory]         dirlist    [.] Codon usage directories
      [-outfile]           outfile    [*.cutgextract] General log output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -release            string     CUTG release (Any string)
       -wildspec           string     [*.codon] Type of codon file (Any string)
       -species            string     [*] Species wildcard (Any string)
       -allrecords         boolean    [N] Include all records, including those
                                      with warnings
       -filename           string     Single output filename to override automatic
                                      one file for each species. Leave blank to
                                      generate the filenames. Specify a filename
                                      to combine several species into one file.
                                      (Any string)

       Associated qualifiers:

       "-directory" associated qualifiers
       -extension1         string     Default file extension

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-directory] (Parameter 1) | dirlist | Codon usage directories | Directory with files | .
[-outfile] (Parameter 2) | outfile | General log output file | Output file | <*>.cutgextract
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-release | string | CUTG release | Any string |
-wildspec | string | Type of codon file | Any string | *.codon
-species | string | Species wildcard | Any string | *
-allrecords | boolean | Include all records, including those with warnings | Boolean value Yes/No | No
-filename | string | Single output filename to override automatic one file for each species. Leave blank to generate the filenames. Specify a filename to combine several species into one file. | Any string |
Associated qualifiers
"-directory" associated dirlist qualifiers
-extension1 -extension_directory | string | Default file extension | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

## Output file format

cutgextract writes a set of EMBOSS codon usage data files to the EMBOSS data/CODONS data directory.

### Output files for usage example

### Directory: CODONS

This directory contains output files.

### File: outfile.cutgextract

    Writing EAphrodite_aculeata.cut CDS: 1
    Writing EAnadara_trapezia.cut CDS: 2
    Writing EAcanthocheilonema_viteae.cut CDS: 2
    Writing EAedes_aegypti.cut CDS: 23
    Writing EDictyostelium_discoideum.cut CDS: 7
    Writing EAmblyomma_americanum.cut CDS: 2
    Writing EAedes_atropalpus.cut CDS: 1
    Writing EAedes_albopictus.cut CDS: 2
    Writing EAstacus_astacus.cut CDS: 3

## Data files

None

## Notes

The EMBOSS distribution includes a set of codon usage tables calculated from the files listed in ftp://ftp.ebi.ac.uk/pub/databases/codonusage/README), with a few additions whose exact derivation cannot easily be determined. Many people would prefer to create their own from the public CUTG data. The CUTG database can be downloaded from ftp://ftp.ebi.ac.uk/pub/databases/cutg.

If you run cutgextract on the CUTG database from ftp://ftp.ebi.ac.uk/pub/databases/cutg all of the *.codon files included in the database will be processed. You may need to uncompress these files (`*.codon`) before running cutgextract on them.

cutgextract would normally be used once when the EMBOSS package is installled, or when a new version of the CUTG database is released.

CUTG has a drawback: it has a table for each organism without making the distinction between different gene populations.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aaindexextract | Extract amino acid property data from AAINDEX
jaspextract | Extract data from JASPAR
printsextract | Extract data from PRINTS database for use by pscan
prosextract | Process the PROSITE motif database for use by patmatmotifs
rebaseextract | Process the REBASE database for use by restriction enzyme applications
tfextract | Process TRANSFAC transcription factor database for use by tfscan

## Author(s)

Alan Bleasby
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

Written (June 2001) - Alan Bleasby.

## Target users

This program is intended to be used by administrators responsible for software and database installation and maintenance.

## Comments

None